Subject: Wake On Lan device semantics

From: Stephen Hemminger <[email-masked]>
Date: Fri, 3 Nov 2006 15:20:25 -0800

I am working on getting WOL to work on sky2 (and then skge). But in the process I
noticed that the semantics of WOL seems to be device dependent. I assume that WOL
should work when device is suspended. But some drivers also support WOL when
the device is down (or even removed).

Now I know some distro's like Ubuntu take down and then remove every network
device on suspend. That's their problem, if they don't want to use suspend
as intended because they want to handle broken hardware, that's their problem.

It doesn't seem like a good idea for a network device to wake the system
if it is down. Maybe if the kernel fully supported dormant, maybe, but
when device is down it shouldn't impact the system.

-- 
Stephen Hemminger <[email-masked]>